Update account

Update account

Endpoint

PUT https://embedworkflow.com/api/v1/account

Request Body

company_name string, optional

Company name associated with the account

user_name string, optional

User name for the account

theme string, optional

Theme setting for the account

time_zone string, optional

Time zone setting for the account

custom_domain string, optional

Custom domain for the account

groups array, optional

User permission groups. Only available to users with admin role.

action_type_categories_enabled boolean, optional

Enable or disable action type categories display

action_type_categories array, optional

Action type categories for the account.

data object, optional

Additional account data

user_data_schema array, optional

Data schema configuration

data_schema array, optional

Data schema configuration

Response

Returns successful.

Response Properties

action_type_categories array

Available action type categories for the account

action_type_categories_enabled boolean

Whether action type categories are enabled for display

company_name string

Company name associated with the account

custom_domain string

Custom domain for the account

data object

Additional account data

groups array

Permission groups for the account

id string

System-generated unique identifier

level integer

Account level or tier

object string

Object type identifier

theme string

Theme setting for the account

time_zone string

Time zone setting for the account in IANA timezone format (e.g. 'America/New_York', 'Europe/London', 'Asia/Tokyo', 'Etc/UTC')

user_name string

User name from context

user_time_zone string

Time zone setting for the user in IANA timezone format (e.g. 'America/New_York', 'Europe/London', 'Asia/Tokyo', 'Etc/UTC')

data_schema array

Account data schema

user_data_schema array

User data schema for the account

Response
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
{
  "action_type_categories": [],
  "action_type_categories_enabled": false,
  "company_name": null,
  "custom_domain": null,
  "data": {},
  "data_schema": [],
  "groups": [],
  "id": "019d270f-dd61-7141-95a0-d225b42cb931",
  "level": 0,
  "object": "account",
  "theme": null,
  "time_zone": "America/New_York",
  "user_data_schema": [],
  "user_name": null,
  "user_time_zone": "America/New_York"
}